Subject: Re: [PATCH net-next 1/1] net: phy: dp83867: retrigger SGMII AN when link change

From: Jakub Kicinski <[email-masked]>
Date: Wed, 25 May 2022 21:56:29 -0700

On Thu, 26 May 2022 09:37:14 +0800 Tan Tee Min wrote:
> There is a limitation in TI DP83867 PHY device where SGMII AN is only
> triggered once after the device is booted up. Even after the PHY TPI is
> down and up again, SGMII AN is not triggered and hence no new in-band
> message from PHY to MAC side SGMII.
> 
> This could cause an issue during power up, when PHY is up prior to MAC.
> At this condition, once MAC side SGMII is up, MAC side SGMII wouldn`t
> receive new in-band message from TI PHY with correct link status, speed
> and duplex info.
> 
> As suggested by TI, implemented a SW solution here to retrigger SGMII
> Auto-Neg whenever there is a link change.

Thanks, sounds like this bug has always been in the driver so we should
add:

Fixes: 2a10154abcb7 ("net: phy: dp83867: Add TI dp83867 phy")

Is that right? Getting a workaround like this into stable eventually
seems like a good idea so Fixes tag will help.